#pragma once
#include "Logger.h"
#include "dbg.h"
class CLegacyGuiEventLog : public CLogger
{
public:
    CLegacyGuiEventLog(const std::string& strName);
    ~CLegacyGuiEventLog() final;


private:
    void InitLogger();

    // Inherited via CLogger
    void DoStart() override;
    void DoFlush() override;
    void DoLogging(const std::string& strMsg) override;

    CDebugPrintf m_logger{ 2 };
};
